Subject: Re: bug#42621: 26.3; Scheme mode: Wrong indentation (no indentation) when pressing tab

From: Kjetil Matheussen <[email-masked]>
Date: Thu, 6 Aug 2020 16:03:38 +0200

On Thu, Aug 6, 2020 at 3:48 PM Eli Zaretskii <[email-masked]> wrote:
>
> > From: Kjetil Matheussen <[email-masked]>
> > Date: Thu, 6 Aug 2020 10:32:30 +0200
> > Cc: [email-masked], Kjetil Matheussen <[email-masked]>
> >
> > 1. wget http://users.notam02.no/~kjetism/emacsindentationbug.scm
> > 2. emacs -Q emacsindentationbug.scm
> > 3. maximize emacs window
> > 4. Press Ctrl + S, search for "define column-widths"
> > 5. The cursor should now be placed at line 2790
> > 6. Press down-arrow so that that cursor is placed at line 2791
> > 7. Press up -arrow so that the cursor is placed at line 2790 again.
> > 8. Press TAB.
> > 9. The line is wrongly indented (no indentation).
>
> FWIW, I cannot reproduce even with this recipe: in my case the
> indentation stays at its original form, i.e. 2 columns.

Yeah, it's weird that resizing the window should make a difference.
Perhaps font size or screen size makes a difference?
It seems like I can reproduce it just by manually resizing the window
though (using the mouse and drag), not just maximizing it. Make that
works for you.

Also, which toolkit are you using? I've compiled emacs like this:

Configured using:
 'configure --prefix=/home/kjetil/site --with-x-toolkit=lucid'

Configured features:
XPM JPEG TIFF GIF PNG SOUND DBUS GSETTINGS GLIB NOTIFY LIBSELINUX GNUTLS
LIBXML2 FREETYPE XFT ZLIB TOOLKIT_SCROLL_BARS LUCID X11 XDBE XIM THREADS

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix